"""Missing object 'not null' constraints

Revision ID: 08d1de53c2f4
Revises: bc0ce906eeed
Create Date: 2020-07-14 13:49:17.228668

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "08d1de53c2f4"
down_revision = "bc0ce906eeed"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("file", "file_name", existing_type=sa.VARCHAR(), nullable=False)
    op.alter_column("file", "file_type", existing_type=sa.TEXT(), nullable=False)
    op.alter_column(
        "object", "dhash", existing_type=sa.VARCHAR(length=64), nullable=False
    )
    op.alter_column(
        "object", "type", existing_type=sa.VARCHAR(length=50), nullable=False
    )
    op.alter_column(
        "static_config", "family", existing_type=sa.VARCHAR(length=32), nullable=False
    )
    op.alter_column(
        "text_blob", "blob_name", existing_type=sa.VARCHAR(), nullable=False
    )
    op.alter_column(
        "text_blob", "blob_type", existing_type=sa.VARCHAR(length=32), nullable=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "text_blob", "blob_type", existing_type=sa.VARCHAR(length=32), nullable=True
    )
    op.alter_column("text_blob", "blob_name", existing_type=sa.VARCHAR(), nullable=True)
    op.alter_column(
        "static_config", "family", existing_type=sa.VARCHAR(length=32), nullable=True
    )
    op.alter_column(
        "object", "type", existing_type=sa.VARCHAR(length=50), nullable=True
    )
    op.alter_column(
        "object", "dhash", existing_type=sa.VARCHAR(length=64), nullable=True
    )
    op.alter_column("file", "file_type", existing_type=sa.TEXT(), nullable=True)
    op.alter_column("file", "file_name", existing_type=sa.VARCHAR(), nullable=True)
    # ### end Alembic commands ###
