"""New favorites table added

Revision ID: 12849e43c922
Revises: e3241d250d0c
Create Date: 2020-11-30 14:39:29.611381

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "12849e43c922"
down_revision = "e3241d250d0c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "favorites",
        sa.Column("user_id", sa.Integer(), nullable=False),
        sa.Column("object_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["object_id"],
            ["object.id"],
        ),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
    )
    op.create_index(
        op.f("ix_favorites_object_id"), "favorites", ["object_id"], unique=False
    )
    op.create_index(
        "ix_favorites_object_user", "favorites", ["object_id", "user_id"], unique=True
    )
    op.create_index(
        op.f("ix_favorites_user_id"), "favorites", ["user_id"], unique=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_favorites_user_id"), table_name="favorites")
    op.drop_index("ix_favorites_object_user", table_name="favorites")
    op.drop_index(op.f("ix_favorites_object_id"), table_name="favorites")
    op.drop_table("favorites")
    # ### end Alembic commands ###
