"""Added KartonAnalysis table

Revision ID: 7e52d19ee7c4
Revises: bd88eb7eec2b
Create Date: 2021-04-26 18:21:32.926043

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "7e52d19ee7c4"
down_revision = "bd88eb7eec2b"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "karton_analysis",
        sa.Column("id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("creation_time", sa.DateTime(), nullable=False),
        sa.Column("arguments", postgresql.JSONB(astext_type=sa.Text()), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "karton_object",
        sa.Column("analysis_id", postgresql.UUID(), nullable=False),
        sa.Column("object_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["analysis_id"],
            ["karton_analysis.id"],
        ),
        sa.ForeignKeyConstraint(
            ["object_id"],
            ["object.id"],
        ),
    )
    op.create_index(
        "ix_karton_analysis_object",
        "karton_object",
        ["analysis_id", "object_id"],
        unique=True,
    )
    op.create_index(
        op.f("ix_karton_object_analysis_id"),
        "karton_object",
        ["analysis_id"],
        unique=False,
    )
    op.create_index(
        op.f("ix_karton_object_object_id"), "karton_object", ["object_id"], unique=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_karton_object_object_id"), table_name="karton_object")
    op.drop_index(op.f("ix_karton_object_analysis_id"), table_name="karton_object")
    op.drop_index("ix_karton_analysis_object", table_name="karton_object")
    op.drop_table("karton_object")
    op.drop_table("karton_analysis")
    # ### end Alembic commands ###
