"""Cascades delete user and group

Revision ID: bd88eb7eec2b
Revises: f4ccb4be2170
Create Date: 2021-04-19 12:41:18.182462

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "bd88eb7eec2b"
down_revision = "f4ccb4be2170"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("api_key_user_id_fkey", "api_key", type_="foreignkey")
    op.create_foreign_key(
        None, "api_key", "user", ["user_id"], ["id"], ondelete="CASCADE"
    )
    op.alter_column("comment", "user_id", existing_type=sa.INTEGER(), nullable=True)
    op.drop_constraint("comment_user_id_fkey", "comment", type_="foreignkey")
    op.drop_constraint("comment_object_id_fkey", "comment", type_="foreignkey")
    op.create_foreign_key(
        None, "comment", "user", ["user_id"], ["id"], ondelete="SET NULL"
    )
    op.create_foreign_key(
        None, "comment", "object", ["object_id"], ["id"], ondelete="CASCADE"
    )
    op.drop_constraint(
        "metakey_permission_group_id_fkey", "metakey_permission", type_="foreignkey"
    )
    op.create_foreign_key(
        None, "metakey_permission", "group", ["group_id"], ["id"], ondelete="CASCADE"
    )
    op.drop_constraint(
        "permission_related_user_id_fkey", "permission", type_="foreignkey"
    )
    op.drop_constraint("permission_group_id_fkey", "permission", type_="foreignkey")
    op.drop_constraint("permission_object_id_fkey", "permission", type_="foreignkey")
    op.create_foreign_key(
        None, "permission", "user", ["related_user_id"], ["id"], ondelete="SET NULL"
    )
    op.create_foreign_key(
        None, "permission", "object", ["object_id"], ["id"], ondelete="CASCADE"
    )
    op.create_foreign_key(
        None, "permission", "group", ["group_id"], ["id"], ondelete="CASCADE"
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "permission", type_="foreignkey")
    op.drop_constraint(None, "permission", type_="foreignkey")
    op.drop_constraint(None, "permission", type_="foreignkey")
    op.create_foreign_key(
        "permission_object_id_fkey", "permission", "object", ["object_id"], ["id"]
    )
    op.create_foreign_key(
        "permission_group_id_fkey", "permission", "group", ["group_id"], ["id"]
    )
    op.create_foreign_key(
        "permission_related_user_id_fkey",
        "permission",
        "user",
        ["related_user_id"],
        ["id"],
    )
    op.drop_constraint(None, "metakey_permission", type_="foreignkey")
    op.create_foreign_key(
        "metakey_permission_group_id_fkey",
        "metakey_permission",
        "group",
        ["group_id"],
        ["id"],
    )
    op.drop_constraint(None, "comment", type_="foreignkey")
    op.drop_constraint(None, "comment", type_="foreignkey")
    op.create_foreign_key(
        "comment_object_id_fkey", "comment", "object", ["object_id"], ["id"]
    )
    op.create_foreign_key(
        "comment_user_id_fkey", "comment", "user", ["user_id"], ["id"]
    )
    op.alter_column("comment", "user_id", existing_type=sa.INTEGER(), nullable=False)
    op.drop_constraint(None, "api_key", type_="foreignkey")
    op.create_foreign_key(
        "api_key_user_id_fkey", "api_key", "user", ["user_id"], ["id"]
    )
    # ### end Alembic commands ###
