"""Relation for metakey and its definition

Revision ID: c8ba40a69421
Revises: 6fd822d1d706
Create Date: 2021-03-23 13:06:37.350972

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "c8ba40a69421"
down_revision = "6fd822d1d706"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("metakey_key_fkey", "metakey", type_="foreignkey")
    op.create_foreign_key(
        None, "metakey", "metakey_definition", ["key"], ["key"], ondelete="CASCADE"
    )
    op.drop_constraint(
        "metakey_permission_key_fkey", "metakey_permission", type_="foreignkey"
    )
    op.create_foreign_key(
        None,
        "metakey_permission",
        "metakey_definition",
        ["key"],
        ["key"],
        ondelete="CASCADE",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "metakey_permission", type_="foreignkey")
    op.create_foreign_key(
        "metakey_permission_key_fkey",
        "metakey_permission",
        "metakey_definition",
        ["key"],
        ["key"],
    )
    op.drop_constraint(None, "metakey", type_="foreignkey")
    op.create_foreign_key(
        "metakey_key_fkey", "metakey", "metakey_definition", ["key"], ["key"]
    )
    # ### end Alembic commands ###
