import React from "react";
import { Link } from "react-router-dom";
import { useRemotePath } from "@mwdb-web/commons/remotes";
import ObjectLink from "./ObjectLink";
import { makeSearchLink } from "../helpers";

export default function RefString(props) {
    const remotePath = useRemotePath();
    const reasonText =
        props.reason_type.charAt(0).toUpperCase() +
        props.reason_type.slice(1).toLowerCase();
    const objLink = props.related_object_dhash ? (
        <ObjectLink
            type={props.related_object_type}
            id={props.related_object_dhash}
            inline
        />
    ) : (
        <span className="text-muted">(object deleted)</span>
    );
    const userLink = props.related_user_login ? (
        <Link
            to={makeSearchLink(
                "uploader",
                props.related_user_login,
                false,
                `${remotePath}/search`
            )}
        >
            {props.related_user_login}
        </Link>
    ) : (
        <span className="text-muted">(deleted)</span>
    );

    return (
        <div>
            {reasonText} {objLink} by {userLink}
        </div>
    );
}
